package com.ruoyi.system.mapper;

import com.ruoyi.system.domain.modelPic.EModelPic;

import java.util.List;

/**
 * 车辆型号图片Mapper接口
 *
 * @author qzz
 * @date 2024-12-30
 */
public interface EModelPicMapper
{
    /**
     * 查询车辆型号图片
     *
     * @param modelId 车辆型号图片主键
     * @return 车辆型号图片
     */
    public EModelPic selectEModelPicByModelId(Long modelId);

    /**
     * 查询车辆型号图片列表
     *
     * @param eModelPic 车辆型号图片
     * @return 车辆型号图片集合
     */
    public List<EModelPic> selectEModelPicList(EModelPic eModelPic);

    /**
     * 新增车辆型号图片
     *
     * @param eModelPic 车辆型号图片
     * @return 结果
     */
    public int insertEModelPic(EModelPic eModelPic);

    /**
     * 修改车辆型号图片
     *
     * @param eModelPic 车辆型号图片
     * @return 结果
     */
    public int updateEModelPic(EModelPic eModelPic);

    /**
     * 删除车辆型号图片
     *
     * @param modelId 车辆型号图片主键
     * @return 结果
     */
    public int deleteEModelPicByModelId(Long modelId);

    /**
     * 批量删除车辆型号图片
     *
     * @param modelIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteEModelPicByModelIds(Long[] modelIds);
}
